Bug 972478 - Crash in gvdb_table_lookup called from tracker-ontologies.c
Crash in gvdb_table_lookup called from tracker-ontologies.c
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
abrt_hash:c1bd9af8afd7599c071804db0cd...
:
: 1048568 1115180 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 13:11 EDT by Gerhard Dekker
Modified: 2015-12-02 11:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:48:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.25 KB, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details
File: core_backtrace (2.82 KB, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details
File: dso_list (5.02 KB, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details
File: environ (1.42 KB, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details
File: maps (25.88 KB, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details
File: open_fds (823 bytes, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details
File: proc_pid_status (922 bytes, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details
File: var_log_messages (4.14 KB, text/plain)
2013-06-09 13:11 EDT, Gerhard Dekker
no flags Details

  None (edit)
Description Gerhard Dekker 2013-06-09 13:11:17 EDT
Version-Release number of selected component:
tracker-0.16.1-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: gvdb_table_lookup
executable:     /usr/libexec/tracker-miner-fs
kernel:         3.9.4-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gvdb_table_lookup at gvdb-reader.c:265
 #1 gvdb_table_get_value at gvdb-reader.c:441
 #2 tracker_ontologies_get_property_value_gvdb at tracker-ontologies.c:670
 #3 tracker_property_get_domain_indexes at tracker-property.c:343
 #4 tracker_sparql_pattern_parse_object at /home/martyn/Source/tracker/src/libtracker-data/tracker-sparql-pattern.vala:1361
 #5 tracker_sparql_pattern_parse_object_list at /home/martyn/Source/tracker/src/libtracker-data/tracker-sparql-pattern.vala:581
 #6 tracker_sparql_pattern_parse_property_list_not_empty at /home/martyn/Source/tracker/src/libtracker-data/tracker-sparql-pattern.vala:617
 #7 tracker_sparql_pattern_parse_triples at /home/martyn/Source/tracker/src/libtracker-data/tracker-sparql-pattern.vala:826
 #8 tracker_sparql_pattern_translate_group_graph_pattern at /home/martyn/Source/tracker/src/libtracker-data/tracker-sparql-pattern.vala:958
 #9 tracker_sparql_pattern_translate_select at /home/martyn/Source/tracker/src/libtracker-data/tracker-sparql-pattern.vala:278

Potential duplicate: bug 768770
Comment 1 Gerhard Dekker 2013-06-09 13:11:21 EDT
Created attachment 758868 [details]
File: backtrace
Comment 2 Gerhard Dekker 2013-06-09 13:11:24 EDT
Created attachment 758869 [details]
File: cgroup
Comment 3 Gerhard Dekker 2013-06-09 13:11:27 EDT
Created attachment 758870 [details]
File: core_backtrace
Comment 4 Gerhard Dekker 2013-06-09 13:11:30 EDT
Created attachment 758871 [details]
File: dso_list
Comment 5 Gerhard Dekker 2013-06-09 13:11:33 EDT
Created attachment 758872 [details]
File: environ
Comment 6 Gerhard Dekker 2013-06-09 13:11:39 EDT
Created attachment 758873 [details]
File: limits
Comment 7 Gerhard Dekker 2013-06-09 13:11:43 EDT
Created attachment 758875 [details]
File: maps
Comment 8 Gerhard Dekker 2013-06-09 13:11:46 EDT
Created attachment 758876 [details]
File: open_fds
Comment 9 Gerhard Dekker 2013-06-09 13:11:48 EDT
Created attachment 758877 [details]
File: proc_pid_status
Comment 10 Gerhard Dekker 2013-06-09 13:11:51 EDT
Created attachment 758878 [details]
File: var_log_messages
Comment 11 Fedora Admin XMLRPC Client 2014-07-26 13:11:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2014-07-27 02:33:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Debarshi Ray 2014-10-01 09:16:47 EDT
*** Bug 1115180 has been marked as a duplicate of this bug. ***
Comment 14 Debarshi Ray 2014-10-01 09:18:12 EDT
This has also happened in recent versions like tracker-1.0.1-2.fc21. See bug 1115180
Comment 15 Debarshi Ray 2014-10-01 09:19:51 EDT
*** Bug 1048568 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2015-11-04 08:56:38 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-12-01 21:48:07 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.